package com.dxhy.common.enums;

/**
 * 认证状态
 * 
 * @author jiaohongyang
 * @date 2019年4月25日
 */
public enum RzclztEnum {

    /*
     * 认证处理状态 0-未认证 1-已勾选未确认，2已确认 3 已发送认证 4 认证成功 5 认证失败 6已撤销认证
     */

    /**
     * 未认证
     */
    WRZ("0", 1),

    /**
     * 已勾选未确认
     */
    YGXWQR("1", 2),

    /**
     * 已确认
     */
    YQR("2", 3),

    /**
     * 已发送认证
     */
    YFSRZ("3", 4),

    /**
     * 认证成功
     */
    RZCG("4", 5),

    /**
     * 认证失败
     */
    RZSB("5", 6),

    /**
     * 已撤销认证
     */
    CXRZ("6", 7);

    private static final String[] RZCLZTMC = {"未认证", "已勾选", "已确认", "已发送认证", "认证成功", "认证失败", "已撤销认证"};

    private String rzclztDm;
    private int index;

    RzclztEnum(String rzclztDm, int index) {
        this.rzclztDm = rzclztDm;
        this.index = index;
    }

    public String getRzclztDm(int index) {
        for (RzclztEnum rzzt : RzclztEnum.values()) {
            if (rzzt.getIndex() == index) {
                return rzzt.rzclztDm;
            }
        }
        return null;
    }

    public String getRzclztMc(int index) {
        int length = RZCLZTMC.length;
        if (index <= length) {
            return RZCLZTMC[index - 1];
        }
        return null;
    }

    public String getRzclztDm() {
        return rzclztDm;
    }

    public void setRzclztDm(String rzclztDm) {
        this.rzclztDm = rzclztDm;
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }
}
